<?php

namespace DeliSkypress\Models\Strategy;

defined( 'ABSPATH' ) or die( 'Cheatin&#8217; uh?' );

use DeliSkypress\Models\Strategy\StrategyInterface;
use DeliSkypress\Models\Strategy\AbstractStrategyInterface;
use DeliSkypress\Models\Strategy\JsonStrategy;


/**
 * AbstractStrategy
 */
abstract class AbstractStrategy implements StrategyInterface {

    protected $strategy = null;

    public function createDefaultStrategy(){
        $this->strategy = new JsonStrategy();
        return $this;
    }

    /**
     * @see StrategyInterface
     * @param AbstractStrategyInterface $strategy 
     * @return AbstractStrategy
     */
    public function setStrategy(AbstractStrategyInterface $strategy){
        $this->strategy = $strategy;
        return $this;
    }

    /**
     * @see StrategyInterface
     */
    public function execute(){
        if($this->strategy === null){
            $this->createDefaultStrategy();
        }

        $this->strategy->execute();
    }

}







