<?php

namespace Delipress\WordPress\Admin;

defined( 'ABSPATH' ) or die( 'Cheatin&#8217; uh?' );

use DeliSkypress\Models\HooksAdminInterface;
use DeliSkypress\Models\ContainerInterface;
use DeliSkypress\WordPress\Actions\AbstractHook;

use Delipress\WordPress\Helpers\PageAdminHelper;
use Delipress\WordPress\Helpers\ActionHelper;
use Delipress\WordPress\Strategy\ExportJsonStrategy;

/**
 * Imports
 *
 * @author Delipress
 * @version 1.0.0
 * @since 1.0.0
 */
class Imports extends AbstractHook implements HooksAdminInterface{

    /**
     *  @param ContainerInterface $containerServices
     */
    public function setContainerServices(ContainerInterface $containerServices){
        $this->importServices    = $containerServices->getService("ImportServices");
    }

    
    /**
     * @see HooksAdminInterface
     */
    public function hooks(){

        if(current_user_can('manage_options' ) ){
            add_action( 'admin_post_list_import', array($this, 'adminPostListImport') );
        }
    }

    public function adminPostListImport(){
        if ( ! isset( $_GET['_wpnonce'] ) || 
            ! wp_verify_nonce( $_GET['_wpnonce'], ActionHelper::LIST_IMPORT ) ||
            $_SERVER["REQUEST_METHOD"] !== "POST" ||
            ! isset( $_FILES['import'] ) ||
            $_FILES["import"]["size"] === 0
            ) {
            wp_nonce_ays( '' );
        }


        $this->importServices
             ->setFile($_FILES)
             ->setTypeImport(ActionHelper::LIST_IMPORT)
             ->execute();
             

    }

}









