<?php

namespace Delipress\WordPress\Async;

use Delipress\WordPress\Async\WPBackgroundProcess;

use Delipress\WordPress\Models\ListModel;


class ImportFileBackgroundProcess extends WPBackgroundProcess {

	protected $action 	 = 'delipress_import_background_file';
	
	protected $transient = 'delipress_sync_import_background_file';

	public function __construct($importFileSubscriberServices, $providerServices) {
		parent::__construct();
		$this->importFileSubscriberServices = $importFileSubscriberServices;
		$this->providerServices             = $providerServices;
	}


	/**
	 * Task
     * 
	 * @param mixed $item Queue item to iterate over
	 *
	 * @return mixed
	 */
	protected function task( $item ) {

		$this->importFileSubscriberServices->importSubscribers($item);

		$transient = get_transient(DELIPRESS_SLUG . "_save_one_item_import_background_file", false);
		if(!$transient){
			set_transient(DELIPRESS_SLUG . "_save_one_item_import_background_file", $item, HOUR_IN_SECONDS);
		}
		
		return false;
	}

	protected function complete() {
		parent::complete();

		$item = get_transient(DELIPRESS_SLUG . "_save_one_item_import_background_file", false);
		if(!$item){
			return;
		}

		delete_transient(DELIPRESS_SLUG . "_save_one_item_import_background_file");

		$list = new ListModel();
		$list->setListByTermId($item["list_id"]);

        $this->providerServices
			 ->getProviderExport($item["provider"])
			 ->prepareListsForBackgroundProcessWithList($list);

	}
}