<?php

namespace Delipress\WordPress\Helpers;

defined( 'ABSPATH' ) or die( 'Cheatin&#8217; uh?' );

use Delipress\WordPress\Models\CampaignModel;
use Delipress\WordPress\Models\ListModel;
use Delipress\WordPress\Models\OptinModel;
use Delipress\WordPress\Models\SubscriberModel;

/**
 *
 * @author Delipress
 * @version 1.0.0
 * @since 1.0.0
 */
abstract class PrepareModelHelper{

    /**
     * @static
     *
     * @return CampaignModel
     */
    public static function getCampaignFromUrl(){
        $campaign = new CampaignModel();

        if( isset( $_GET["campaign_id"]) ){
            $id = (int) $_GET["campaign_id"];
            $campaign->setCampaignById( $id );
        }

        return $campaign;
    }

    /**
     * @static
     *
     * @return OptinModel
     */
    public static function getOptinFromUrl(){
        $optin = new OptinModel();

        if( isset( $_GET["optin_id"]) ){
            $id = (int) $_GET["optin_id"];
            $optin->setOptinById( $id );
        }

        return $optin;
    }

    /**
     * @static
     *
     * @return ListModel
     */
    public static function getListFromUrl(){
        $list = new ListModel();

        if( isset( $_GET["list_id"]) ){
            $id = (int) $_GET["list_id"];
            $list->setListByTermId( $id );
        }

        return $list;
    }

    /**
     * @static
     *
     * @return SubscriberModel
     */
    public static function getSubscriberFromUrl(){
        $subscriber = new SubscriberModel();
        if( isset( $_GET["subscriber_id"]) ){
            $id = (int) $_GET["subscriber_id"];
            $subscriber->setSubscriberById(  $id );
        }

        return $subscriber;
    }

}









