<?php

namespace Delipress\WordPress\Models\AbstractModel;

defined( 'ABSPATH' ) or die( 'Cheatin&#8217; uh?' );

use DeliSkypress\Models\MediatorServicesInterface;

use Delipress\WordPress\Models\InterfaceModel\ApiProviderInterface;
use Delipress\WordPress\Models\ListModel;


/**
 * AbstractProviderApi
 *
 * @author Delipress
 * @version 1.0.0
 * @since 1.0.0
 */
abstract class AbstractProviderApi implements MediatorServicesInterface, ApiProviderInterface {
    
    protected $options = null;

    protected $client  = null;

    protected $safeError = false;

    public function setSafeError($safeError){
        $this->safeError = $safeError;
        return $this;
    }

    /**
     * 
     * @param array $services
     * @return void
     */
    public function setServices($services){
        if(!array_key_exists("OptionServices", $services)){
            throw new Exception("Miss OptionServices");
        }

        $this->optionServices = $services["OptionServices"];

    }

    public function getOptions(){
        if($this->options === null){
            $this->options = $this->optionServices->getOptions();
        }

        return $this->options;
    }

    public function createWebhook($params){}
    public function removeWebhook(){}
    
    public function createWebhookOnList(ListModel $list, $params){}
    public function removeWebhookOnList(ListModel $list, $params){}

}


