<?php

namespace Delipress\WordPress\Models\AbstractModel;

defined( 'ABSPATH' ) or die( 'Cheatin&#8217; uh?' );

use DeliSkypress\Models\MediatorServicesInterface;

use Delipress\WordPress\Models\AbstractModel\AbstractProviderSettings;
use Delipress\WordPress\Models\InterfaceModel\ProviderWebhookInterface;
use Delipress\WordPress\Models\ListModel;


/**
 * AbstractProviderWebhook
 *
 * @author Delipress
 * @version 1.0.0
 * @since 1.0.0
 */
abstract class AbstractProviderWebhook extends AbstractProviderSettings implements ProviderWebhookInterface {

    /**
     * 
     * @param array $services
     * @return void
     */
    public function setServices($services){
        parent::setServices($services);
        $this->webhookOptionServices           = $services["WebhookOptionServices"];
        $this->webhookServices                 = $services["WebhookServices"];
        $this->createSubscriberServices        = $services["CreateSubscriberServices"];
        $this->listServices                    = $services["ListServices"];
        $this->subscriberServices              = $services["SubscriberServices"];
        $this->deleteSubscriberServices        = $services["DeleteSubscriberServices"];
    }
    

    public function createWebhookOnList(ListModel $list){}
    public function removeWebhookOnList(ListModel $list){}
    
    public function createWebhook(){}
    public function removeWebhook(){}

    /**
     *
     * @param array $params
     * @return void
     */
    protected function unsubscribe($params){
            
        if(
            !isset($params["list"]) ||
            !isset($params["subscriber"]) ||
            $params["list"] === null || 
            $params["subscriber"] === null
        ){
            return;
        }

        if(!isset($params["action"])){
            $this->deleteSubscriberServices->unsubscribeListSusbcriber($params["list"], $params["subscriber"]);
            return;
        }

        switch($params["action"]){
            default:
                $this->deleteSubscriberServices->unsubscribeListSusbcriber($params["list"], $params["subscriber"]);
                break;
            case "delete":
                $this->deleteSubscriberServices->deleteListSubscriber($params["list"], $params["subscriber"]);
                break;
        }


    }

    /**
     *
     * @param array $params
     * @return void
     */
    protected function subscribe($params){

        if(!isset($params["list"]) || $params["list"] === null){
            return;
        }

        $this->createSubscriberServices->createSubscriber(
            array(
                "email"      => $params["email"],
                "first_name" => $params["first_name"],
                "last_name"  => $params["last_name"],
                "subscriber" => $params["subscriber"],
                "list"       => $params["list"]
            )
        );
    }

    /**
     * @return void
     */
    public function webhookUnsubscribe(){}

    /**
     * @return void
     */
    public function webhookSubscribe(){}
}


