<?php

namespace Delipress\WordPress\Models;

defined( 'ABSPATH' ) or die( 'Cheatin&#8217; uh?' );

use Delipress\WordPress\Helpers\ProviderHelper;


/**
 * SubscriberProviderModel
 *
 * @version 1.0.0
 * @since 1.0.0
 */
class SubscriberProviderModel {
    public function __construct($data, $provider){
        $this->data     = $data;
        $this->provider = $provider;
    }

    public function getEmail(){
        switch($this->provider){
            case ProviderHelper::MAILJET:
                return $this->data[0]["Email"];
                break;
        }
    }

    public function getFirstName(){
        switch($this->provider){
            case ProviderHelper::MAILJET:
                return $this->data[0]["Name"];
                break;
        }
    }

    public function getLastName(){
        switch($this->provider){
            case ProviderHelper::MAILJET:
                return "";
                break;
        }
    }

    public function getCreatedAt(){
        switch($this->provider){
            case ProviderHelper::MAILJET:
                return  date_i18n( get_option( 'date_format' ), strtotime( $this->data[0]["CreatedAt"]) ); 
                break;
        }
        
    }







}
