<?php

namespace Delipress\WordPress\Optin;

defined( 'ABSPATH' ) or die( 'Cheatin&#8217; uh?' );


use Delipress\WordPress\Optin\BaseOptin;

use Delipress\WordPress\Helpers\OptinHelper;

/**
 * Shortcode
 *
 * @author Delipress
 * @version 1.0.0
 * @since 1.0.0
 */
class Shortcode extends BaseOptin {

    protected $typeOptin = OptinHelper::SHORTCODE;

    public function __construct(){
        add_shortcode( 'delipress_optin', array($this, 'delipressOptinShortcode') );
    }

    /**
     * @see delipress_optin
     *
     * @param array $attrs
     * @return void
     */
    public function delipressOptinShortcode($attrs){

        if(!isset($attrs["id"])){
            return null;
        }
        
       $optin = $this->optinServices->getShortcodes(array(
            "where" => array(
                array(
                    "field" => "ID",
                    "value" => $attrs["id"]
                )
            )
        ));

        if(empty($optin)){
            return null;
        }

        $isLoadedScript = OptinHelper::isOptinScriptLoaded();
        
        if(!$isLoadedScript){
            OptinHelper::loadOptinScript(true);
        }

        return sprintf(
            "<div 
                id='DELI-shortcode-%s' 
                class='delipress-optin' 
                data-config='%s' 
                data-id='%s' 
                data-type='%s'
            ></div>",
            $attrs['id'],
            esc_attr($optin[$attrs["id"]]["config"]),
            $attrs['id'],
            $this->typeOptin
        );
    }

    

}
