<?php

namespace Delipress\WordPress\Services\Provider\Mailjet;

defined( 'ABSPATH' ) or die( 'Cheatin&#8217; uh?' );

use Delipress\WordPress\Models\AbstractModel\AbstractExportToProvider;

use Delipress\WordPress\Helpers\ProviderHelper;
use Delipress\WordPress\Models\ListModel;


/**
 * MailjetExport
 *
 * @author Delipress
 * @version 1.0.0
 * @since 1.0.0
 */
class MailjetExport extends AbstractExportToProvider {

    protected $range = 150;

    public function __construct(){
        $this->provider = ProviderHelper::getProviderByKey(ProviderHelper::MAILJET);
    }

    /**
     * @see AbstractExportToProvider
     * 
     * @param array $list
     * @return string
     */
    protected function getIdFromListResult($list){
        return $list[0]["ID"];
    }


    /**
     *
     * @param ListModel $list
     * @return void
     */
    public function verifySynchronizeList(ListModel $list){
        $response = $this->providerApi
                         ->setSafeError(true)
                         ->getList($list->getProviderId());

        if(!$response["success"]){
             return array(
                 "success" => false,
             );
        }

        if($response["results"][0]["IsDeleted"]){
            return array(
                "success" => false,
            );
        }
        return array(
            "success" => true
        );


    }


}

