<?php

namespace Delipress\WordPress\Services;

defined( 'ABSPATH' ) or die( 'Cheatin&#8217; uh?' );

use DeliSkypress\Models\ServiceInterface;
use DeliSkypress\Models\MediatorServicesInterface;

use Delipress\WordPress\Helpers\ActionHelper;

/**
 * WebhookServices
 *
 * @author DeliPress
 * @version 1.0.0
 * @since 1.0.0
 */
class WebhookServices implements ServiceInterface, MediatorServicesInterface{

    /**
     * @see MediatorServicesInterface
     * 
     * @param array $services
     * @return void
     */
    public function setServices($services){

    }


    /**
     *
     * @param string $provider
     * @return string
     */
    public function getUrlWebhookSubscribe($provider){

        return sprintf(
            "%s/delipress/webhooks/%s/%s",
            home_url(),
            ActionHelper::PROVIDER_WEBHOOK_SUBSCRIBE,
            $provider
        );

    }

    /**
     *
     * @param string $provider
     * @return string
     */
    public function getUrlWebhookUnsubscribe($provider){
        
        return sprintf(
            "%s/delipress/webhooks/%s/%s",
            home_url(),
            ActionHelper::PROVIDER_WEBHOOK_UNSUBSCRIBE,
            $provider
        );

    }

}









