<?php

namespace Delipress\WordPress\Services\Wizard;

defined( 'ABSPATH' ) or die( 'Cheatin&#8217; uh?' );

use DeliSkypress\Models\ServiceInterface;
use DeliSkypress\Models\MediatorServicesInterface;


/**
 * WizardStepTwoServices
 *
 * @author DeliPress
 * @version 1.0.0
 * @since 1.0.0
 */
class WizardStepTwoServices implements ServiceInterface, MediatorServicesInterface {

    /**
     * @see MediatorServicesInterface
     *
     * @param array $services
     * @return void
     */
    public function setServices($services){
        if(!array_key_exists("OptionServices", $services)){
            throw new Exception("Miss OptionServices");
        }

        if(!array_key_exists("ProviderServices", $services)){
            throw new Exception("Miss ProviderServices");
        }

        $this->optionServices     = $services["OptionServices"];
        $this->providerServices   = $services["ProviderServices"];
        $this->createListServices = $services["CreateListServices"];

    }

    /**
     * @action DELIPRESS_SLUG . "_before_synchronize_lists_step_two"
     * @action DELIPRESS_SLUG . "_after_synchronize_lists_step_two"
     *
     * @param string $provider
     */
    public function importLists($provider){

        do_action(DELIPRESS_SLUG . "_before_synchronize_lists_step_two", $provider);

        $providerImport = $this->providerServices
                               ->getProviderImport($provider)
                               ->importLists();

        do_action(DELIPRESS_SLUG . "_after_synchronize_lists_step_two", $provider);
        
    }

    /**
     * @action DELIPRESS_SLUG . "_before_create_list_step_two"
     * @action DELIPRESS_SLUG . "_after_create_list_step_two"
     *
     * @return array
     */
    public function createList(){

        do_action(DELIPRESS_SLUG . "_before_create_list_step_two");

        $response = $this->createListServices->createList();

        do_action(DELIPRESS_SLUG . "_after_create_list_step_two");

        return $response;
    }

}
