<?php

namespace Delipress\WordPress\Traits;

defined( 'ABSPATH' ) or die( 'Cheatin&#8217; uh?' );

trait TranslateBuilder {

    public function getTranslationBuilder(){
        return array (
            'view_online'          => esc_html__("View in browser", "delipress"),
            'component_generals'   => esc_html__('General','delipress'),
            'component_wordpress'  => esc_html__('WordPress','delipress'),
            'component_woocommerce'=> esc_html__('WooCommerce','delipress'),
            'premium_only'         => esc_html__('Premium only','delipress'),
            'premium_woocommerce'  => __('Easily import your WooCommerce product(s) in one click by upgrading to the premium version.','delipress'),
            'view_pricing'         => esc_html__('View pricing','delipress'),
            'step'                 => esc_html__('Step','delipress'),
            'btn_step'             => esc_html__('Step %{number} : %{title}','delipress'),
            'activate'             => esc_html__('Display link','delipress'),
            'text_color'           => esc_html__('Text color','delipress'),
            'align'                => esc_html__('Alignment','delipress'),
            'animation'            => esc_html__('Animation effect','delipress'),
            'link'                 => esc_html__('Link','delipress'),
            'text'                 => esc_html__('Text','delipress'),
            'font_size'            => esc_html__('Font size','delipress'),
            'border_radius'        => esc_html__('Border radius','delipress'),
            'font_family'          => esc_html__('Font family','delipress'),
            'font_size_icon'       => esc_html__('Icon size','delipress'),
            'font_weight'          => esc_html__('Font weight','delipress'),
            'background_color'     => esc_html__('Background color','delipress'),
            'max_width'            => esc_html__('Max width','delipress'),
            'column_number'        => esc_html__('Column %{number}','delipress'),
            'columns'              => esc_html__('Layout','delipress'),
            'wp_media_button_text' => esc_html__('Select','delipress'),
            'wp_media_title'       => esc_html__('Choose an image','delipress'),
            'close_settings'       => esc_html__("Close settings", "delipress"),
            'success'              => esc_html__("Success", "delipress"),
            'default'              => esc_html__("Default", "delipress"),
            'saving'               => esc_html__("Saving...", "delipress"),
            'saved'                => esc_html__("Saved", "delipress"),
            'read_more'            => esc_html__("Read more", "delipress"),
            'drag'                 => esc_html__("Drop something here!", "delipress"),
            'color'                => esc_html__("Color", "delipress"),
            'cancel'               => esc_html__("Cancel", "delipress"),
            'delete'               => esc_html__("Delete", "delipress"),
            'margin'               => esc_html__("Margin", "delipress"),
            'remove_confirm'       => __("<strong>Are you sure ?</strong><span data-action='true'>Yes</span><span data-action='false'>No</span>", "delipress"),
            'orientations'         => array(
                'left' => __('Left', 'delipress'),
                'right' => __('Right', 'delipress'),
                'top' => __('Top', 'delipress'),
                'bottom' => __('Bottom', 'delipress'),
                'center' => __('Center', 'delipress'),
            ),
            'general' => array (
                'now' => esc_html__('Now','delipress'),
                'later'          => esc_html__('Later','delipress'),
                'btn_save_close' => esc_html__('Save and close','delipress'),
                'send_test_title' => esc_html__('Test email sent!', 'delipress'),
                'send_test_text' => esc_html__('Check your inbox to see your campaign', 'delipress'),
            ),
            'Optin' => array (
                'naked'                => __("Naked", "delipress"),
                'Settings' => array(
                    'tab_first'  => esc_html__("Design", "delipress"),
                    'tab_second' => esc_html__("Template", "delipress"),
                    'tab_third'  => esc_html__("Custom CSS", "delipress"),
                ),
                "shortcode_settings" => array(
                    "success_settings" => array(
                        "title_email_form"         => esc_html__("Email form", "delipress"),
                        "disable_email_input_form" => esc_html__("Disable email form", "delipress")
                    )
                ),
                "wrapper_image" => array(
                    "active" => esc_html__("Enable image", "delipress"),
                    'image_orientation' => esc_html__('Image orientation','delipress'),
                ),
                'animations' => array(
                    "none" => esc_html__('No animation', 'delipress'),
                    "fadeIn" => esc_html__('Fade in', 'delipress'),
                    "bounceIn" => esc_html__('Bounce', 'delipress'),
                    "zoomIn" => esc_html__('Zoom In', 'delipress'),
                    "lightSpeedIn" => esc_html__('Light Speed', 'delipress'),
                    "slideInUp" => esc_html__('Slide Up', 'delipress'),
                    "slideInLeft" => esc_html__('Slide Left', 'delipress'),
                    "slideInRight" => esc_html__('Slide Right', 'delipress'),
                    "flipInX" => esc_html__('Flip', 'delipress'),
                    "shake" => esc_html__('Shake', 'delipress'),
                    "swing" => esc_html__('Swing', 'delipress'),
                    "tada" => esc_html__('Tada!', 'delipress')
                ),
            ),
            'Step3' => array (
                "desktop_preview" => esc_html__("Fullscreen preview")
            ),
            'Builder' => array (
                'ui' => array(
                    'section' => esc_html__('Section','delipress'),
                    'component' => esc_html__('Component','delipress'),
                ),
                'default' => array(
                    'text' => esc_html__('This is a text block ! You can edit its content.', 'delipress')
                ),
                'component' => array (
                    'header'  => esc_html__('Header Section','delipress'),
                    'footer'  => esc_html__('Footer Section','delipress'),
                    'divider' => esc_html__('Divider','delipress'),
                    'image'   => esc_html__('Image','delipress'),
                    'button'  => esc_html__('Button','delipress'),
                    'spacer'  => esc_html__('Spacer','delipress'),
                    'social'  => esc_html__('Social icons','delipress'),
                    'text'    => esc_html__('Text','delipress'),
                    'title'   => esc_html__('Title','delipress'),
                    'title_alt'   => esc_html__('Heading','delipress'),
                    'unsubscribe'   => esc_html__('Unsubscribe','delipress'),
                    'empty'   => esc_html__('Drag component from the left panel over here','delipress'),
                    'wp_post' => esc_html__('Post Type','delipress'),
                    'wp_archive_post' => esc_html__('Posts List','delipress'),
                    'wp_archive_post_woo' => esc_html__('Product List','delipress'),
                    'wp_archive_post_type' => esc_html__('Post Type List','delipress'),
                    'wp_article' => esc_html__('Post','delipress'),
                    'wp_product' => esc_html__('Product','delipress'),
                    'delete_warning' => esc_html__('Are you sure you want to delete this %{s}?', 'delipress'),
                    'clear_warning' => esc_html__('Are you sure you want to delete everything and start from scratch?', 'delipress'),
                    'contents'   => array (
                        'empty_component' => array (
                            'text' => esc_html__('Add a component','delipress'),
                        ),
                    ),
                    'dnd' => array (
                        'empty_section' => array (
                            'text' => esc_html__('Choose a layout to start with','delipress'),
                        ),
                    ),
                    'email_online' => array (
                        'title' => esc_html__('View email online','delipress'),
                    ),
                    'theme' => array (
                        'text' => array (
                            'main_title_button'   => esc_html__('Main title','delipress'),
                            'second_title_button' => esc_html__('Subtitle','delipress'),
                            'standard_text'       => esc_html__('Standard text','delipress'),
                            'link_color'          => esc_html__('Link color','delipress'),
                            ),
                        ),
                ),
                'containers' => array (
                    'actions' => array (
                        'clear'            => esc_html__('Clear','delipress'),
                        'fullscreen'        => esc_html__('Fullscreen','delipress'),
                        'exit_fullscreen'        => esc_html__('Exit Fullscreen','delipress'),
                        'preview_campaign' => esc_html__('Preview campaign','delipress'),
                    ),
                ),
                'header_settings' => array (
                    'content_tab'  => esc_html__('Components','delipress'),
                    'settings_tab' => esc_html__('Campaign','delipress'),
                    'editor_tab'   => esc_html__('Styles','delipress'),
                    'style_tab'    => esc_html__('Advanced','delipress'),
                ),
                'component_settings' => array (
                    'size_title' => array(
                        "title" => esc_html__("Heading level", "delipress")
                    ),
                    'apply_all' => esc_html__('Apply this style to all %{s}', 'delipress'),
                    'apply_all_button' => esc_html__('Update', 'delipress'),
                    'optin' => array (
                        'state' => esc_html__("Opt-In state", "delipress"),
                        'generals' => array (
                            'title_image'  => esc_html__('Image','delipress'),
                            'title_bloc'   => esc_html__('Block','delipress'),
                            'title_button' => esc_html__('Subscribe button','delipress'),
                            'orientation_fly_in' => __('FlyIn orientation', 'delipress'),
                            'title_form'   => __('Form Setup','delipress'),
                            'title_form_design'   => __('Form Design','delipress'),
                        ),
                        'form' => array(
                            'background_form' => __('Background form', 'delipress'),
                            'background_input' => __('Background input', 'delipress'),
                            'color_input' => __('Color input', 'delipress'),
                            'border_input' => __('Border input', 'delipress'),
                            'border_radius_input' => __('Border radius input', 'delipress'),
                            'name_fields' => __('Name fields', 'delipress'),
                            'name_fields_default' => __('No name field', 'delipress'),
                            'name_fields_single' => __('Single name field', 'delipress'),
                            'name_fields_double' => __('First and last name', 'delipress'),
                            'email_placeholder' => __('Email text', 'delipress'),
                            'form_size' => __('Fields size', 'delipress'),
                            'form_space' => __('Fields margin', 'delipress'),
                            'name_text' => __('Name text', 'delipress'),
                            'name_placeholder' => __('Your name', 'delipress'),
                            'firstname_text' => __('Firstname text', 'delipress'),
                            'firstname_placeholder' => __('Your firstname', 'delipress'),
                            'lastname_text' => __('Lastname text', 'delipress'),
                            'lastname_placeholder' => __('Your lastname', 'delipress'),
                            'form_size_default' => __('Default', 'delipress'),
                            'form_size_large' => __('Large', 'delipress'),
                            'form_size_full' => __('Full width', 'delipress'),
                            'form_size_inline' => __('Inline', 'delipress'),
                        ),
                        'custom_css' => array(
                            "title" => esc_html__("Custom CSS", "delipress")
                        ),
                        'models' => array(
                            "title" => esc_html__("Select a Template", "delipress")
                        )
                    ),
                    'spacer' => array(
                        'title' => esc_html__("Spacer", "delipress"),
                        'height' => esc_html__("Height", "delipress")
                    ),
                    'email_online_settings' => array (
                        'title_default' => esc_html__('Top section','delipress'),
                    ),
                    'base_general' => array (
                        'title_default'    => esc_html__('Generic    colors','delipress'),
                        'background_color' => esc_html__('Background color','delipress'),
                        'text_color'       => esc_html__('Text       color','delipress'),
                        'link_color' => esc_html__('Link color','delipress'),
                        'title_background_campaign' => esc_html__("Campaign background", "delipress"),
                        'title_text_component' => esc_html__("Default colors", "delipress")
                    ),
                    'section' => array (
                        'title_settings'   => esc_html__("Section", "delipress"),
                        'background_image' => esc_html__("Background image", "delipress"),
                        'background_color' => esc_html__('Background color','delipress'),
                        'column'           => esc_html__('Columns width','delipress'),
                        'remove_image'     => esc_html__('Remove image','delipress'),
                        'vertical_align'   => esc_html__('Vertical align', 'delipress')
                    ),
                    'style' => array (
                        'attributes_default' => array (
                            'innerPadding'  => esc_html__('Inner padding','delipress'),
                            'background'    => esc_html__('Background color','delipress'),
                            'padding'       => esc_html__('Padding','delipress'),
                            'paddingTop'    => esc_html__('Top','delipress'),
                            'paddingBottom' => esc_html__('Bottom','delipress'),
                            'paddingLeft'   => esc_html__('Left','delipress'),
                            'paddingRight'  => esc_html__('Right','delipress'),
                        ),
                    ),
                    'title' => array(
                        'title_settings' => esc_html__("Title component", "delipress")
                    ),
                    'wp_post' => array (
                        'title'          => esc_html__('Import Post','delipress'),
                        'settings_title' => array   (
                            'title' => esc_html__('Title','delipress'),
                        ),
                        'settings_content' => array (
                            'title'   => esc_html__('Content','delipress'),
                            'full'    => esc_html__('All','delipress'),
                            'excerpt' => esc_html__('Excerpt','delipress'),
                        ),
                        'settings_image' => array (
                            'title' => esc_html__('Post Thumbnail','delipress'),
                        ),
                        'button_import' => esc_html__('Import','delipress'),
                        'placeholder' => esc_html__('Choose','delipress'),
                    ),
                    'wp_archive_post' => array(
                        'title' => esc_html__("Archive WordPress", "delipress"),
                        'settings_choose_article' => array(
                            'title' => esc_html__("Choose posts", "delipress")
                        ),
                        'add_post' => esc_html__("Add post to selection", "delipress"),
                        'import_posts' => esc_html__("Import posts", "delipress")
                    ),
                    'divider' => array (
                        'title_settings'   => esc_html__("Divider Component", "delipress"),
                        'borderColor' => esc_html__('Border color','delipress'),
                        'borderStyle' => esc_html__('Border style','delipress'),
                        'borderPx'    => esc_html__('Border height','delipress'),
                        'borderWidth' => esc_html__('Divider width','delipress'),
                    ),
                    'button' => array (
                        'title_settings'   => esc_html__("Button Component", "delipress"),
                        'color'            => esc_html__('Color','delipress'),
                        'background_color' => esc_html__('Background color','delipress'),
                        'border_radius'    => esc_html__('Border radius','delipress'),
                        'border'    => esc_html__('Border','delipress'),
                        'border_settings'    => esc_html__('Border Settings','delipress'),
                        'width'            => esc_html__('Width','delipress'),
                        'height'           => esc_html__('Height','delipress'),
                    ),
                    'text' => array (
                        'title_settings'   => esc_html__("Text Component", "delipress"),
                        'line_height' => esc_html__('Line height','delipress'),
                    ),
                    'social' => array (
                        'title_settings'   => esc_html__("Social Component", "delipress"),
                        'colorSelector'   => esc_html__('Text color', 'delipress'),
                        'url'             => esc_html__('URL','delipress'),
                        'text'            => esc_html__('Text','delipress'),
                        'backgroundColor' => esc_html__('Monochrome','delipress'),
                        'activate'        => esc_html__('Activate','delipress'),
                    ),
                    'image' => array (
                        'title_settings'          => esc_html__("Image Component", "delipress"),
                        'size'                    => esc_html__('Size','delipress'),
                        'link'                    => esc_html__('Link','delipress'),
                        'url_src'                 => esc_html__('Image source url','delipress'),
                        'borderRadius'            => esc_html__('Border radius', 'delipress'),
                        'action'                  => esc_html__('Image','delipress'),
                        'wp_library_src'          => esc_html__('Add an image','delipress'),
                        'wp_library_src_have_src' => esc_html__('Change image','delipress'),
                        'sizes'                   => esc_html__("Thumbnails", "delipress"),
                    )
                )
            )
        );
    }

}
