<?php

defined( 'ABSPATH' ) or die( 'Cheatin&#8217; uh?' );

$licenseStatusValid  = $this->optionServices->isValidLicense();

?>

<h1><?php esc_html_e("Step 2", "delipress"); ?> <small><?php esc_html_e("Choose a template", "delipress") ?></small></h1>

<p class="delipress__intro">
    <?php esc_html_e("Which template do you want to use for your campaign?", "delipress"); ?>
</p>

<div class="delipress__template-list">
    <div class="delipress__template-list__choices">
        <a
            href="#"
            data-action="<?php echo $this->campaignServices->getCreateUrlFormAdminPost((int) $this->currentStep, $this->campaign->getId(), array(
            "from"  => "scratch"
        ) ); ?>"
            class="delipress__template-list__choice js-delipress-choose-template"
            data-title="<?php esc_attr_e("Warning","delipress") ?>"
            data-message="<?php esc_attr_e("You already have a template, if you select another one all your changes will be lost", "delipress") ?>"
        >
            <div class="delipress__template-list__choice__picto delipress__choose-template__picto--3">
                <span class="dashicons dashicons-plus-alt"></span>
            </div>
            <h2 data-title="<?php esc_attr_e("Start from scratch", 'delipress'); ?>" class="delipress__template-list__title"><?php esc_html_e("Start from scratch", 'delipress'); ?></h2>
            <p><?php esc_html_e("Create a new template from the ground up with our easy to use email builder. Create your very own masterpiece", 'delipress'); ?></p>
        </a>

        <a href="#" data-tab="delipress-library" class="delipress__template-list__choice js-template-list-choice">
            <div class="delipress__template-list__choice__picto delipress__choose-template__picto--4">
                <span class="dashicons dashicons-images-alt"></span>
            </div>
            <h2 data-title="<?php esc_attr_e("Choose a design", 'delipress'); ?>" class="delipress__template-list__title"><?php esc_html_e("Choose a design", 'delipress'); ?></h2>
            <p><?php esc_html_e("Everyone needs inspiration. We have some basic layouts to get you started", 'delipress'); ?></p>
        </a>
        
        <?php if($licenseStatusValid): ?>
            <a href="#" data-tab="delipress-recent" class="delipress__template-list__choice js-template-list-choice">
        <?php else: ?>
            <div class="delipress__template-list__choice js-template-list-choice-not-work">
                <div class="delipress__template-list__choice__premium">
                    <span class="delipress__template-list__choice__premium-badge">
                        <i class="dashicons dashicons-awards"></i>
                        <span>
                            <?php esc_html_e('Premium only', 'delipress') ?>
                        </span>
                    </span>
                    <p class="delipress__template-list__choice__premium-incentive">
                        <?php esc_html_e('Upgrade to premium to unlock this feature and a lot more. By upgrading you support the development of DeliPress.', 'delipress') ?>
                        <br />
                        <a target="_blank" class="delipress__button delipress__button--main delipress__button--small" href="<?php echo delipress_get_url_premium(); ?>">
                            <?php esc_html_e('View pricing', 'delipress') ?>
                        </a>
                    </p>
                </div>
        <?php endif; ?>
                <div class="delipress__template-list__choice__picto delipress__choose-template__picto--1">
                    <span class="dashicons dashicons-backup"></span>
                </div>
                <h2  data-title="<?php esc_attr_e("Recent campaigns", 'delipress'); ?>" class="delipress__template-list__title"><?php esc_html_e("Choose from your recent campaigns", 'delipress'); ?></h2>
                <p><?php esc_html_e("Be lightning fast by reusing previous campaigns as a starting point", 'delipress'); ?></p>
        <?php if($licenseStatusValid): ?>
            </a>
        <?php else: ?>
            </div>
        <?php endif; ?>


        <a href="#" class="delipress__template-list__choice js-template-list-choice-not-work" style="opacity:0.35">
            <div class="delipress__template-list__choice__picto delipress__choose-template__picto--2">
                <span class="dashicons dashicons-store"></span>
            </div>
            <h2  data-title="<?php esc_attr_e("DeliPress Store", 'delipress'); ?>" class="delipress__template-list__title"><?php esc_html_e("Get a template from the DeliPress Store", 'delipress'); ?></h2>
            <p><?php esc_html_e("Not inspired? We got your back with beautiful templates", 'delipress'); ?></p>
        </a>
    </div>

    <div class="delipress__template-list__items">
        <div id="delipress-library" class="delipress__template-list__items--library">
            <h2><?php esc_html_e('Template library', "delipress"); ?></h2>
            <?php require_once __DIR__ . "/_step2_library_tpl.php"; ?>
        </div>
        <?php if($licenseStatusValid): ?>
            <div id="delipress-recent" class="delipress__template-list__items--recent">
                <h2><?php esc_html_e('Recently sent campaigns', "delipress"); ?></h2>
                <?php require_once __DIR__ . "/_step2_recent_tpl.php"; ?>
            </div>
        <?php endif; ?>
        <div id="delipress-store" class="delipress__template-list__items--shop">
            <h2><?php esc_html_e('DeliPress Store', "delipress"); ?></h2>
        </div>

    </div>

</div>


<?php $configTpl = $this->campaign->getConfig(); ?>


<script type="text/javascript">
jQuery(document).ready(function(){
    var DelipressPreventChooseAction = require("javascripts/backend/PreventChooseAction")

    var preventChooseActionClass = new DelipressPreventChooseAction(
        "#form_page",
        ".js-delipress-choose-template"
    )

    <?php if(empty($configTpl)): ?>
    preventChooseActionClass.init()
    <?php else: ?>
    preventChooseActionClass.initTemplateIfNotEmpty()
    <?php endif; ?>
})
</script>
