<?php defined( 'ABSPATH' ) or die( 'Cheatin&#8217; uh?' ); ?>

<?php

use Delipress\WordPress\Services\Table\TableServices;
use Delipress\WordPress\Helpers\PrepareModelHelper;
use Delipress\WordPress\Helpers\SubscriberMetaHelper;

if(!isset( $_GET["list_id"]) ){
    wp_redirect(admin_url());
    exit;
}

$list = PrepareModelHelper::getListFromUrl();

$data = get_transient(DELIPRESS_SLUG . "_import_subscriber_data_services", false);

$metas           = $this->metaSubscriberServices->getMetas();
$filterFirstName = apply_filters(DELIPRESS_SLUG . "_import_file_is_first_name", array("first_name", "firstname","FNAME") );
$filterLastName  = apply_filters(DELIPRESS_SLUG . "_import_file_is_last_name", array("last_name", "lastname","LNAME") );

?>

<?php if(!$data || !$data["success"]): ?>
<div class="error">
    <p><?php esc_html_e('No data to import found, please retry', 'delipress'); ?></p>
</div>
<?php endif; ?>

<h1>
    <?php echo esc_html__(get_admin_page_title(), "delipress"); ?>
    <small>
        <?php esc_html_e("Import contacts from CSV file", "delipress"); ?>
    </small>
</h1>

<p class="delipress__intro">
    <?php esc_html_e("Here are the fields we found in your file. Select the ones you want to import.","delipress"); ?>
</p>

<?php if($data && $data["success"]): ?>
    <div class="delipress__csvimport">
        <header>
            <div class="delipress__csvimport__title">
                <?php _e('Found datas', 'delipress'); ?>
            </div>
            <div class="delipress__csvimport__title">
                <?php _e('Import as', 'delipress'); ?>
            </div>
        </header>
        <?php foreach($data["results"] as $key => $value): 
            $presetData = null;    
        ?>
        <section>
            <div class="delipress__csvimport__col">
                <ul class="delipress__csvimport__list">
                    <?php 
                    foreach($value as $k => $v): if(!empty($v)):
                        if($presetData === null){
                            if(is_email($v) ){
                                $presetData = SubscriberMetaHelper::EMAIL;
                            }
                            else if(in_array($v, $filterFirstName)){
                                $presetData = SubscriberMetaHelper::FIRST_NAME;
                            }
                            else if(in_array($v, $filterLastName)){
                                $presetData = SubscriberMetaHelper::LAST_NAME;
                            }
                        }
                        
                    ?>
                        <li><?php echo $v ?></li>
                    <?php endif; endforeach; ?>
                    <li>&nbsp;<span>...</span></li>
                </ul>
            </div>
            <div class="delipress__csvimport__col">
                <div class="delipress__csvimport__assign">
                    <div class="delipress__select js-delipress-select">
                        <input type="hidden" name="meta_import[<?php echo $key; ?>]">
                        <div class="delipress__select__selected"><?php _e('Select a value', 'delipress'); ?></div>
                        <div class="delipress__select__more">
                            <span class="dashicons dashicons-arrow-down-alt2"></span>
                        </div>
                        <ul class="delipress__select__list">
                            <li data-value="-1"><?php _e('Ignore this field', 'delipress'); ?></li>
                            <?php foreach($metas as $k => $meta): ?>
                                <?php if(empty($presetData) ): ?>
                                    <li data-value="<?php echo $meta["id"] ?>"><?php echo $meta["name"] ?></li>
                                <?php else: ?>
                                    <li 
                                        data-value="<?php echo $meta["id"] ?>"
                                        <?php if($meta["id"] === $presetData): ?>
                                            data-selected="true"
                                        <?php endif; ?>
                                    >
                                        <?php echo $meta["name"] ?>
                                    </li>
                                <?php endif; ?>
                            <?php endforeach; ?>
                        </ul>
                    </div>

                    <p><?php _e('Or create new field', 'delipress'); ?></p>
                    <input name="create_import[<?php echo $key; ?>]" class="delipress__input" type="text">
                </div>
            </div>
        </section>
        <?php endforeach; ?>
    </div>


    <input type="hidden" name="list_id" value="<?php echo $list->getId(); ?>" />
    <button type="submit" class="delipress__button delipress__button--save">
        <?php esc_html_e('Import subscribers', 'delipress'); ?>
    </button>
<?php endif; ?>
