<?php

defined( 'ABSPATH' ) or die( 'Cheatin&#8217; uh?' );

use Delipress\WordPress\Helpers\OptinHelper;

$licenseStatusValid  = $this->optionServices->isValidLicense();

$optinHelper = OptinHelper::getOptinByKey($optin->getType());

$pageCreateUrl = ($optinHelper["key"] === OptinHelper::SHORTCODE) ? 1 : 2;

?>

<li class="delipress__list__item delipress__flex delipress__flex--center">
    <div class="delipress__list__item__col-box">
        <input type="checkbox" id="<?php echo $optin->getId(); ?>" class="delipress__checkbox__input <?php echo $class; ?>" name="<?php echo $nameInput; ?>" value="<?php echo $optin->getId(); ?>" />
        <label for="<?php echo $optin->getId(); ?>" class="delipress__checkbox"></label>
    </div>
    <div class="delipress__f3">
        <a href="<?php echo $this->optinServices->getCreateUrl(2, $optin->getId() ); ?>" class="delipress__list__item__title">
            <?php echo $optin->getTitle(); ?>
        </a>
    </div>
    <?php if($optin->getType() === OptinHelper::SHORTCODE): ?>
        <div class="delipress__list__item__standard delipress__f4">
            <div class="delipress__list__item__copy">
                <input type="text" id="shortcode-optin-<?php echo $optin->getId(); ?>" value='[delipress_optin id="<?php echo $optin->getId(); ?>"]' readonly>
                <button type="button" name="button" data-clipboard-target="#shortcode-optin-<?php echo $optin->getId(); ?>" class="delipress-copy delipress__button delipress__button--soft"><?php esc_html_e('Copy', 'delipress'); ?></button>
            </div>
        </div>
    <?php endif; ?>
    <div class="delipress__list__item__standard delipress__list_item--no-mobile delipress__f2">
        <?php esc_html_e('Type', 'delipress'); ?> <br>
        <strong><?php echo $optin->getTypeLabel(); ?></strong>
    </div>
    <div class="delipress__list__item__standard delipress__list_item--no-mobile delipress__f3">
        <?php esc_html_e('List', 'delipress'); ?> <br>
        <?php
        $lists = $optin->getLists();
        foreach($lists as $key => $list):
        ?>
            <a href="<?php echo $this->subscriberServices->getPageSubscribersUrl($list->getId()); ?>" class="delipress__tag">
                <span class="delipress__tag__color" style="background:<?php echo $list->getColor(); ?>;"></span> <?php echo esc_html($list->getName() ); ?>
            </a>
        <?php endforeach; ?>
    </div>
    <?php if($licenseStatusValid): ?>
        <div class="delipress__list__item__standard delipress__center delipress__f2">
            <?php esc_html_e('Impressions', 'delipress'); ?><br>
            <span class="delipress__list__item__num"><?php echo $optin->getCounterView(); ?></span>
        </div>
        <div class="delipress__list__item__standard delipress__center delipress__f2">
            <?php esc_html_e('Visitors converted', 'delipress'); ?><br>
            <span class="delipress__list__item__num"><?php echo $optin->getCounterConvert(); ?></span>

        </div>
        <div class="delipress__list__item__standard delipress__center delipress__f3">
            <?php esc_html_e('Conversion Rate', 'delipress'); ?><br>
            <span class="delipress__list__item__num"><?php echo $optin->getRateCounterView(); ?>%</span>
        </div>
    <?php endif; ?>
    <div class="delipress__list__item__col-actions delipress__f3">
        <a href="<?php echo $this->optinServices->getCreateUrl(1, $optin->getId() ); ?>" class="delipress__button delipress__button--soft">
           <span class="dashicons dashicons-admin-generic"></span>
        </a>
        <nav class="delipress__more">
            <a href="#" class="delipress__button delipress__button--soft">
                <span class="dashicons dashicons-arrow-down-alt2"></span>
            </a>
            <ul class="delipress__more__sub">
                <?php if($optinHelper["has_behavior"]): ?>
                <li>
                    <a
                        href="<?php echo $this->optinServices->getCreateUrl(3, $optin->getId() ); ?>"
                    >
                        <?php esc_html_e("Edit behavior", "delipress"); ?>
                    </a>
                </li>
                <?php endif; ?>
                <?php if($licenseStatusValid): ?>
                <li>
                    <a
                        href="<?php echo $this->optinServices->getOptinStatistic($optin->getId() ); ?>"
                    >
                        <?php esc_html_e("Statistics", "delipress"); ?>
                    </a>
                </li>
                <?php endif; ?>
                <li>
                    <a
                        href="<?php echo $this->optinServices->getDeleteOptinUrl($optin->getId() ); ?>"
                        class="js-prevent-delete-action"
                        data-title="<?php esc_html_e("Are you sure you want to delete this Opt-In form?", "delipress"); ?>"
                        data-message="<?php echo esc_attr($optin->getTitle()); ?>"
                    >
                        <?php esc_html_e("Delete", "delipress"); ?>
                    </a>
                </li>
            </ul>
        </nav>
    </div>
</li>
