<?php

defined( 'ABSPATH' ) or die( 'Cheatin&#8217; uh?' );

use Delipress\WordPress\Helpers\ActionHelper;

?>


    <?php include_once(__DIR__ . "/_head.php"); ?>
    <?php include_once(DELIPRESS_PLUGIN_DIR_TEMPLATES_ADMIN . "/tabs.php"); ?>

    <h2><?php esc_html_e('Lists', 'delipress'); ?></h2>

    <a href="<?php echo wp_nonce_url( admin_url( 'admin-post.php?action=' . ActionHelper::LIST_EXPORT ), ActionHelper::LIST_EXPORT); ?>" >
        <?php esc_html_e("Export list", 'delipress'); ?>
    </a>

<?php
    $bytes     = apply_filters( 'import_upload_size_limit', wp_max_upload_size() ); // Filter from WP Core
    $size      = size_format( $bytes );
    $uploadDir = wp_upload_dir();

    if ( ! empty( $uploadDir['error'] ) ) {
        ?>
        <div class="error">
            <p><?php esc_html_e('You need to fix these errors before uploading a file:', 'delipress'); ?></p>
            <p><strong><?php echo $uploadDir['error']; ?></strong></p>
        </div>

<?php
    } else {
        ?>
        <p>
        <input type="file" id="upload" name="import" size="25" />
        <br />
        <label for="upload">
            <?php echo  esc_html__( 'Choose a file from your computer:', 'delipress' ) . '(' . sprintf( esc_html__( 'Maximum size: %s', 'delipress' ), $size ) . ') upload'; ?>
        </label>
        <input type="hidden" name="max_file_size" value="<?php echo $bytes; ?>" />
        </p>
        <?php submit_button( esc_html__( 'Upload file and import settings', 'delipress' ), 'button', 'import' );
    }

?>
