<?php

defined( 'ABSPATH' ) or die( 'Cheatin&#8217; uh?' );

use Delipress\WordPress\Helpers\OptionHelper;

$this->currentTab = "subscribers";

?>

<h1><?php esc_html_e("Subscriptions", "delipress"); ?></h1>

<form action="<?php echo $this->optionServices->getUrlFormAdminPost($this->currentTab); ?>" method="post" id="form_page">

    <?php settings_fields( OptionHelper::OPTIONS_GROUP ); ?>

    <div class="delipress__settings">
        <div class="delipress__settings__item delipress__flex">
            <div class="delipress__settings__item__label delipress__f2">
                <label for="delipress_double_optin"><?php esc_html_e('Double Opt-In', 'delipress'); ?></label>
            </div>
            <div class="delipress__settings__item__field delipress__f4">
                <input
                    type="checkbox"
                    id="delipress_double_optin"
                    class="delipress__checkbox__input"
                    name="<?php echo sprintf("%s[%s][double_optin]", OptionHelper::OPTIONS_NAME, $this->currentTab); ?>"
                    value="1"
                    <?php checked( $this->options[$this->currentTab]["double_optin"], 1 ); ?>
                />
                <label for="delipress_double_optin" class="delipress__checkbox"><?php esc_html_e('Enable double Opt-In', 'delipress'); ?></label>
            </div>
            <div class="delipress__settings__item__helper delipress__f4">
                <?php esc_html_e("This option is mandatory in some countries", "delipress"); ?>
            </div>
        </div>

        <button type="submit" class="delipress__button delipress__button--save"><?php esc_html_e('Save settings', 'delipress'); ?></button>

    </div> <!-- delipress__settings -->
</form>
