<?php

defined( 'ABSPATH' ) or die( 'Cheatin&#8217; uh?' );

use Delipress\WordPress\Services\Wizard\WizardServices;

$provider = $this->optionServices->getProvider();
$lists    = $this->listServices->getLists();
$hasOptin = $this->optinServices->hasOneOptin();

$stepWizard = get_transient(WizardServices::STEP_WIZARD);
if(!$stepWizard){
    $stepWizard = 1;
}

include_once(DELIPRESS_PLUGIN_DIR_TEMPLATES_ADMIN . "/header_no_forms.php");

?>

<div class="delipress__hero">
    <img class="delipress__hero__logo" src="<?php echo DELIPRESS_PATH_PUBLIC_IMG ?>/logo.svg" alt="DeliPress">
    <a class="delipress__hero__skip" href="<?php echo $this->wizardServices->removeSetupWizardPage(); ?>"><?php esc_html_e("I know what I'm doing, remove this wizard.", 'delipress'); ?> <span class="dashicons dashicons-dismiss"></span></a>
    <div class="delipress__hero__content">
        <h1><?php esc_html_e("Ready to deliver delicious newsletters?", "delipress"); ?></h1>
        <p><?php esc_html_e("DeliPress allows you to easily manage your email marketing process from visitor subscription to campaign customization and sending.", "delipress"); ?></p>
        <p>
            <a href="<?php echo $this->wizardServices->getPageWizard($stepWizard); ?>" class="delipress__button delipress__button--main">
                <?php if($stepWizard == 1): ?>
                    <?php esc_html_e('Start configuration', 'delipress'); ?>
                <?php else: ?>
                    <?php esc_html_e('Continue configuration', 'delipress'); ?>
                <?php endif; ?>
            </a>
        </p>
    </div>
    <div class="delipress__hero__todo">
        <header>
            <h2><?php esc_html_e("Checklist", "delipress"); ?></h2>
            <p><?php esc_html_e("Complete these steps to take full advantage of DeliPress","delipress"); ?></p>
        </header>
        <ul>
            <li>
                <?php if($provider["is_connect"]): ?>
                    <div class="delipress__task delipress__task--done">
                        <span class="dashicons dashicons-yes"></span>
                    </div>
                <?php else: ?>
                    <div class="delipress__task"></div>
                <?php endif; ?>
                <?php esc_html_e("1. Configure an email provider", "delipress") ?>
            </li>
            <li>
                <?php if(!empty($lists)): ?>
                    <div class="delipress__task delipress__task--done">
                        <span class="dashicons dashicons-yes"></span>
                    </div>
                <?php else: ?>
                    <div class="delipress__task"></div>
                <?php endif; ?>
                <?php esc_html_e("2. Create your first subscriber list","delipress"); ?>
            </li>
            <li>
                <?php if($hasOptin): ?>
                    <div class="delipress__task delipress__task--done">
                        <span class="dashicons dashicons-yes"></span>
                    </div>
                <?php else: ?>
                    <div class="delipress__task"></div>
                <?php endif; ?>
                <?php esc_html_e("3. Create an Opt-In form", "delipress"); ?>
            </li>
        </ul>
    </div>
</div>

<section class="delipress__section">
    <h1><?php esc_html_e("Features","delipress"); ?></h1>
    <p><?php esc_html_e("We have a lot of features for you ! Want more details ? Discover some of them:","delipress"); ?></p>

    <div class="delipress__features">
        <div class="delipress__features__item delipress__c14">
            <h3><?php esc_html_e("Opt-In Forms", "delipress"); ?></h3>
            <div class="delipress__features__item__image">
                <img src="<?php echo DELIPRESS_PATH_PUBLIC_IMG; ?>/features/capture.png" alt="<?php esc_html_e("Opt-In Forms", "delipress"); ?>">
            </div>
            <div class="delipress__features__item__desc">
                <p><?php esc_html_e("DeliPress provides a lot of ways to collect your users' email addresses. You can create and customize the behavior, look and feel of your forms easily.", "delipress") ?></p>
            </div>
            <p>
                <!-- <a href="#" class="delipress-help-coming"><?php esc_html_e("Learn more", "delipress"); ?></a> | -->
                <a href="<?php echo $this->optinServices->getPageUrl(); ?>"><?php esc_html_e("Configure Opt-In forms", "delipress"); ?></a>
            </p>
        </div>
        <div class="delipress__features__item delipress__c14">
            <h3><?php esc_html_e("Campaign Visual Editor", "delipress"); ?></h3>
            <div class="delipress__features__item__image">
                <img src="<?php echo DELIPRESS_PATH_PUBLIC_IMG; ?>/features/build.png" alt="<?php esc_html_e("Campaign Visual Editor", "delipress"); ?>">
            </div>
            <div class="delipress__features__item__desc">
                <p><?php esc_html_e("The DeliPress drag'n'drop visual builder allows you to add text, images, columns, posts, and WooCommerce products in just a few clicks.","delipress"); ?></p>
            </div>
            <p>
                <!-- <a href="#" class="delipress-help-coming"><?php esc_html_e("Learn more", "delipress"); ?></a> |  -->
                <a href="<?php echo $this->campaignServices->getPageUrl(); ?>"><?php esc_html_e("Create your campaign", "delipress"); ?></a>
            </p>
        </div>
        <div class="delipress__features__item delipress__c14">
            <h3><?php esc_html_e("Beautiful templates", "delipress"); ?></h3>
            <div class="delipress__features__item__image">
                <img src="<?php echo DELIPRESS_PATH_PUBLIC_IMG; ?>/features/templates.png" alt="<?php esc_html_e("Beautiful templates", "delipress"); ?>">
            </div>
            <div class="delipress__features__item__desc">
                <p><?php esc_html_e("Your newsletter is unique. Customize it the way you want. You can also create, save and reuse templates.", "delipress"); ?></p>
            </div>
            <!-- <p>
                <a href="#" class="delipress-help-coming"><?php esc_html_e("Learn more", "delipress"); ?></a>
            </p> -->
        </div>
        <div class="delipress__features__item delipress__c14">
            <h3><?php esc_html_e("Email providers", "delipress"); ?></h3>
            <div class="delipress__features__item__image">
                <img src="<?php echo DELIPRESS_PATH_PUBLIC_IMG; ?>/features/deliver.png" alt="<?php esc_html_e("Email providers", "delipress"); ?>">
            </div>
            <div class="delipress__features__item__desc">
                <p><?php esc_html_e("The choice is yours ! Standard webhosts are not designed to send email campaigns to massive lists. Instead, plug in your favorite email service, like Mailchimp, Mailjet, and more.", "delipress"); ?></p>
            </div>
            <p>
                <!-- <a href="#" class="delipress-help-coming"><?php esc_html_e("Why use a provider ?","delipress"); ?></a> |  -->
                <a href="<?php echo $this->optionServices->getPageUrl(); ?>"><?php esc_html_e("Configure a provider","delipress"); ?></a>
            </p>
        </div>
    </div>

    <h1><?php esc_html_e("For developers", "delipress"); ?></h1>

    <p><?php esc_html_e("You are a developer ? You can easily customize the DeliPress experience and create your own addons.","delipress"); ?></p>


    <div class="delipress__features">
        <div class="delipress__features__item delipress__c14">
            <h3><?php esc_html_e("Performance","delipress"); ?></h3>
            <div class="delipress__features__item__desc">
                <p><?php esc_html_e("DeliPress is built with performance in mind. We don't use overweight libs, and we just load the minimum we need.","delipress"); ?></p>
            </div>
            <!-- <p><a href="#" class="delipress-help-coming"><?php esc_html_e("Learn more","delipress"); ?></a></p> -->
        </div>
        <div class="delipress__features__item delipress__c14">
            <h3><?php esc_html_e("Hooks", "delipress"); ?></h3>
            <div class="delipress__features__item__desc">
                <p><?php esc_html_e("DeliPress provides lots of actions and filters. You can easily plug your features and even build your own add-ons.","delipress"); ?></p>
            </div>
            <!-- <p><a href="#" class="delipress-help-coming"><?php esc_html_e("Learn more","delipress"); ?></a></p> -->
        </div>
        <div class="delipress__features__item delipress__c14">
            <h3><?php esc_html_e( "MJML", "delipress" ); ?></h3>
            <div class="delipress__features__item__desc">
                <p><?php esc_html_e("We use MJML to compile your campaigns. Emails are natively responsive. The code is clean.","delipress"); ?></p>
            </div>
            <p><a target="_blank" href="https://mjml.io/"><?php esc_html_e("Learn more","delipress"); ?></a></p>
        </div>
        <div class="delipress__features__item delipress__c14">
            <h3><?php esc_html_e("Further customisation","delipress"); ?></h3>
            <div class="delipress__features__item__desc">
                <p><?php esc_html_e("We are devs too, and we understand that you need more control about customization. We\'ve got you covered !", "delipress"); ?></p>
            </div>
            <!-- <p><a href="#" class="delipress-help-coming"><?php esc_html_e("Learn more","delipress"); ?></a></p> -->
        </div>
    </div>
</section>

<?php include_once(DELIPRESS_PLUGIN_DIR_TEMPLATES_ADMIN . "/footer_no_forms.php"); ?>
