<?php 

defined( 'ABSPATH' ) or die( 'Cheatin&#8217; uh?' ); 

use Delipress\WordPress\Helpers\ProviderHelper;

$paged          = (isset($_GET["paged"])) ? (int) $_GET["paged"] :  1;
$numberPerPage  = 10;

?>

<h1><?php echo esc_html__(get_admin_page_title(), "delipress"); ?> <small><?php esc_html_e("All items", "delipress"); ?></small></h1>

<p class="delipress__intro"><?php esc_html_e("Synchronize your DeliPress and provider lists.", "delipress") ?></p>

<?php

if(!$this->provider):

?>

<?php esc_html_e("You did not choose an email service provider.", "delipress"); ?>

<a href="<?php echo $this->optionServices->getPageUrl(); ?>" class="delipress__button delipress__button--main">
    <?php esc_html_e('Back to settings', 'delipress'); ?>
</a>

<?php else: ?>


<h2 class="delipress__opener delipress__opener--is-open js-delipress-opener"><?php echo sprintf(esc_html__("Lists from %s", "delipress"), $this->provider["label"] ); ?></h2>


<?php

$result = $this->listServices->getListsSynchronizeOrNotForProvider(
    $this->provider["key"],
    array(
        "offset" => ($paged * $numberPerPage) - $numberPerPage
    )
);

if(!empty($result["lists"])): 

    $countTotal = $result["total_items"];
?>
    <ul class="delipress__list__content">
        <?php foreach($result["lists"] as $key => $list): 
            
            $id   = "";
            $name = "";
            $totalSubscriber = 0;
            switch($this->provider["key"]){
                case ProviderHelper::MAILJET:
                    $id              = $list["ID"];
                    $name            = $list["Name"];
                    $totalSubscriber = $list["SubscriberCount"];
                    $numberPerPage   = $countTotal;
                    break;
                case ProviderHelper::MAILCHIMP:
                    $id              = $list["id"];
                    $name            = $list["name"];
                    $totalSubscriber = $list["stats"]["member_count"];
                    break;
                default:
                    $id              = apply_filters(DELIPRESS_SLUG . "_id_page_synchronize_" . $this->provider["key"], "");
                    $name            = apply_filters(DELIPRESS_SLUG . "_name_page_synchronize_" . $this->provider["key"], "");
                    $totalSubscriber = apply_filters(DELIPRESS_SLUG . "_total_subscriber_page_synchronize_" . $this->provider["key"], "");
                    break;
            }
        ?>
            <li class="delipress__list__item delipress__flex delipress__flex--center">
                <div class="delipress__list__item__col-box">
                    <?php if(in_array($id, $result["synchronize"])): ?>
                        <div class="delipress__task delipress__task--done">
                            <span class="dashicons dashicons-yes"></span>
                        </div>
                    <?php else: ?>
                        <input
                            type="checkbox"
                            id="<?php echo strtolower($id); ?>"
                            class="delipress__checkbox__input delipress__checkbox__input__list"
                            name="lists[]"
                            value="<?php echo $id; ?>"
                        />

                        <label for="<?php echo strtolower($id); ?>" class="delipress__checkbox"></label>
                    <?php endif; ?>
                </div>
                <div class="delipress__f5">
                    <label for="<?php echo strtolower($id); ?>">
                        <?php echo $name; ?> (<?php echo $totalSubscriber; ?> <?php
                        echo _n(
                            "subscriber",
                            "subscribers",
                            ((int) $totalSubscriber === 0) ? 1 : $totalSubscriber,
                            "delipress"
                        );
                    ?>)
                    </label>
                </div>
            </li>
        <?php endforeach; ?>
    </ul>
    
    

    <footer class="delipress__list__footer">
        <div class="delipress__list__footer__item">
            <input type="checkbox" id="select-all-import" class="delipress__checkbox__input" />
            <label for="select-all-import" class="delipress__checkbox"></label>
        </div>
        <div class="delipress__list__footer__item">
            <button type="submit" class="delipress__button delipress-js-step-submit-prevent delipress__button--main">
                <?php echo esc_html_e('Import', 'delipress'); ?>
            </button>
        </div>
    </footer>
    <br />
    <?php include DELIPRESS_PLUGIN_DIR_TEMPLATES_ADMIN . "/_pagination.php"; ?>
    <script>
        jQuery(document).ready(function(){
            var DelipressSelectAll = require("javascripts/backend/SelectAll")
            var selectAllClass = new DelipressSelectAll(
                "#select-all-import",
                ".delipress__checkbox__input__list"
            )
            selectAllClass.init()
        })
    </script>
    <input type="hidden" name="provider" value="<?php echo $this->provider["key"]; ?>" />


<?php endif; 
endif;