<?php

use Delipress\WordPress\Helpers\ProviderHelper;

$provider = ProviderHelper::getProviderFromUrl();

?>

 <div class="delipress__wizard__modal__content" id="providerSend">

    <h1><?php esc_html_e("1. Email provider", "delipress"); ?></h1>

    <div>
        <div class="delipress__task delipress__task--done">
            <span class="dashicons dashicons-yes"></span>
        </div>
        <?php printf(
            __("You successfully connected to your <strong>%s</strong> account.", "delipress"),
            $provider["label"]
        ); ?>    </div>

    <p><?php esc_html_e("You can switch provider at anytime in", "delipress"); ?> <a href=""><?php esc_html_e("DeliPress > Settings", "delipress"); ?></a>.</p>

    <?php if(!in_array($provider["key"], array(ProviderHelper::MAILCHIMP) ) ) :?>

        <h2><?php esc_html_e("Now let's try to send yourself an email.", "delipress"); ?></h2>

        <form action="<?php echo $this->wizardServices->getSendProviderFormUrl(); ?>" method="post">
            <div class="delipress__settings">
                <div class="delipress__settings__item delipress__flex">
                    <div class="delipress__settings__item__label delipress__f1">
                        <label for="email_send"><?php esc_html_e("Email", "delipress"); ?></label>
                    </div>
                    <div class="delipress__settings__item__field delipress__f4">
                        <input id="email_send" name="email_send" type="email" class="delipress__input" value="<?php echo get_option('admin_email'); ?>">
                    </div>
                </div>

                <input type="hidden" name="provider" value="<?php echo esc_attr($provider["key"]); ?>" />

            </div>

            <p class="delipress__center">
                <button type="submit" id="send-test-email-wizard" class="delipress__button delipress__button--save">
                    <?php esc_html_e("Send test email", "delipress"); ?>
                </button>
                <a href="<?php echo $this->wizardServices->getPageWizard((int)$this->currentStep+1); ?>" class="delipress__button delipress__button--soft">
                    <?php esc_html_e("Skip", "delipress") ?></span>
                </a>
            </p>
        </form>
    <?php else: ?>
        <p class="delipress__center">
            <a href="<?php echo $this->wizardServices->getPageWizard((int)$this->currentStep+1); ?>" class="delipress__button delipress__button--soft">
                <?php esc_html_e("Setup a list", "delipress") ?></span>
            </a>
        </p>
    <?php endif; ?>

</div> <!-- delipress__wizard__modal__content -->
