<?php

defined( 'ABSPATH' ) or die( 'Cheatin&#8217; uh?' );

use Delipress\WordPress\Helpers\TaxonomyHelper;
use Delipress\WordPress\Helpers\ProviderHelper;
use Delipress\WordPress\Helpers\ErrorFieldsNoticesHelper;
use Delipress\WordPress\Helpers\AdminFormValues;
use Delipress\WordPress\Helpers\ColorHelper;

$providerObj = ProviderHelper::getProviderByKey($provider["key"]);
$colors      = ColorHelper::getColors();
?>

<div class="delipress__wizard__modal__content" id="listNew">
    <h1><?php esc_html_e("2. Lists", "delipress"); ?></h1>
    <?php if($provider["is_connect"]): ?>
        <p><?php echo sprintf(esc_html__("This new list will be synced with %s.","delipress"), $providerObj["label"]); ?></p>
    <?php endif; ?>

    <form action="<?php echo $this->wizardServices->getCreateListUrl(); ?>" method="post">

        <div class="delipress__settings">
            <div class="delipress__settings__item delipress__flex">
                <div class="delipress__settings__item__label delipress__f2">
                    <label for="<?php echo TaxonomyHelper::LIST_NAME; ?>"><?php esc_html_e('Name your list', 'delipress'); ?></label>
                </div>
                <div class="delipress__settings__item__field delipress__f4">
                    <input
                        id="<?php echo TaxonomyHelper::LIST_NAME; ?>"
                        name="<?php echo TaxonomyHelper::LIST_NAME; ?>"
                        type="text"
                        class="delipress__input <?php if(ErrorFieldsNoticesHelper::hasError(TaxonomyHelper::LIST_NAME) ): ?> delipress__input--error<?php endif; ?>"
                        value="<?php echo AdminFormValues::displayOldValues(TaxonomyHelper::LIST_NAME, ""); ?>"
                        placeholder="My list">
                </div>
            </div>
            <div class="delipress__settings__item delipress__flex">
                <div class="delipress__settings__item__help delipress__f5">
                    <?php ErrorFieldsNoticesHelper::displayError(TaxonomyHelper::LIST_NAME) ?>
                </div>
            </div>

            <div class="delipress__settings__item delipress__flex">
                <div class="delipress__settings__item__label delipress__f2">
                    <label for="<?php echo TaxonomyHelper::META_LIST_COLOR ?>"><?php esc_html_e('Give it a color', 'delipress'); ?></label>
                </div>
                <div class="delipress__settings__item__field delipress__f4">

                    <?php 
                        $keyColor = rand(0, count($colors)-1);
                        $color    = $colors[$keyColor];
                    ?>
                    <div class="delipress__simplepicker js-delipress-simplepicker" style="background: <?php echo $color;?>">
                        <div class="delipress__simplepicker__icon">
                            <span class="dashicons dashicons-admin-customizer"></span>
                        </div>
                        <input type="hidden" name="<?php echo TaxonomyHelper::META_LIST_COLOR ?>" class="delipress__simplepicker__input" value="<?php echo $color; ?>">
                        <ul class="delipress__simplepicker__list">
                            <?php foreach($colors as $color): ?>
                            <li style="background-color:<?php echo $color; ?>"></li>
                            <?php endforeach; ?>
                        </ul>
                    </div>

                </div>
            </div>

            <p class="delipress__center">
                <button type="submit" class="delipress__button delipress__button--save">
                    <?php esc_html_e("Create List", "delipress"); ?>
                </button>
            </p>

        </div> <!-- delipress__settings -->

    </form>

</div> <!-- delipress__modal__content -->
