<?php

defined( 'ABSPATH' ) or die( 'Cheatin&#8217; uh?' );

use Delipress\WordPress\Helpers\ProviderHelper;

$paged          = (isset($_GET["paged"])) ? (int) $_GET["paged"] :  1;
$numberPerPage  = 100;

$result = $this->listServices->getListsSynchronizeOrNotForProvider($provider["key"], array(
    "offset" => ($paged * $numberPerPage) - $numberPerPage,
    "limit"  => $numberPerPage
));

$countTotal = 0;

?>

<div class="delipress__wizard__modal__content" id="listSync">
    <h1><?php esc_html_e("2. Lists", 'delipress'); ?></h1>

    <?php if(!empty($result["lists"])): 
        $countTotal = $result["total_items"];
        ?>
        <h2><?php esc_html_e("Synchronize existing lists", "delipress"); ?></h2>
        <p><?php echo esc_html_e("We found some lists in your account. You can synchronize them with DeliPress:", 'delipress'); ?></p>

        <form action="<?php echo $this->wizardServices->getSynchronizeListsUrl(); ?>" method="post">
            <ul class="delipress__wizard__modal__list">
                <?php foreach($result["lists"] as $key => $list):
                
                    $id     = "";
                    $name = "";
                    $totalSubscriber = 0;
                    switch($provider["key"]){
                        case ProviderHelper::MAILJET:
                            $id              = $list["ID"];
                            $name            = $list["Name"];
                            $totalSubscriber = $list["SubscriberCount"];
                            break;
                        case ProviderHelper::MAILCHIMP:
                            $id              = $list["id"];
                            $name            = $list["name"];
                            $totalSubscriber = $list["stats"]["member_count"];
                            break;
                    }

                ?>
                    <li class="delipress__wizard__modal__list__item delipress__flex delipress__flex--center">
                        <?php if(in_array($id, $result["synchronize"])): ?>
                            <div class="delipress__task delipress__task--done" style="transform:none;">
                                <span class="dashicons dashicons-yes"></span>
                            </div>
                            <label>
                            <?php echo $name; ?>
                            </label>
                        <?php else: ?>
                            <input
                                type="checkbox"
                                id="<?php echo strtolower($id); ?>"
                                class="delipress__checkbox__input delipress__checkbox__input__list"
                                name="lists[]"
                                value="<?php echo $id; ?>"
                            />
                            <label for="<?php echo strtolower($id); ?>" class="delipress__checkbox">
                                <?php echo $name; ?> (<?php echo $totalSubscriber; ?> <?php
                                echo _n(
                                    "subscriber",
                                    "subscribers",
                                    ((int) $totalSubscriber === 0) ? 1 : $totalSubscriber,
                                    "delipress"
                                );
                            ?>)
                            </label>
                        <?php endif; ?>
                    </li>
                <?php endforeach; ?>
            </ul>
            <p>
                <a id="select-all-import" class="delipress__button delipress__button--soft delipress__button--small delipress__button--action_choose"><?php esc_html_e("Select all", "delipress"); ?></a>
            </p>

            <script>
                jQuery(document).ready(function(){
                    var DelipressSelectAll = require("javascripts/backend/SelectAll")
                    var selectAllClass = new DelipressSelectAll(
                        "#select-all-import",
                        ".delipress__checkbox__input__list"
                    )
                    selectAllClass.init()
                })
            </script>
            <input type="hidden" name="provider" value="<?php echo esc_attr($provider["key"]); ?>" />


            <p class="delipress__center">
                <button type="submit" class="delipress__button delipress__button--save">
                    <?php esc_html_e("Synchronize lists", 'delipress'); ?>
                </button>
            </p>
        </form>
        <br />
        <?php include DELIPRESS_PLUGIN_DIR_TEMPLATES_ADMIN . "/_pagination.php"; ?>
    <?php endif; ?>

    <h2><?php esc_html_e("Or create a list from scratch", 'delipress'); ?></h2>
    <p><?php esc_html_e("If you prefer you can start with a brand new list:", 'delipress'); ?></p>

    <p class="delipress__center">
        <a href="
        <?php echo $this->wizardServices->getPageWizard(2, array(
                "tab"      => "add_list"
            )
        )?>" class="delipress__button delipress__button--soft">
            <?php esc_html_e("Create a new list", 'delipress'); ?>
        </a>
    </p>

</div> <!-- delipress__modal__content -->
