<?php

defined( 'ABSPATH' ) or die( 'Cheatin&#8217; uh?' );

require_once __DIR__ . "/handle/error-handler.php";
require_once __DIR__ . "/handle/tracking-handler.php";
require_once __DIR__ . "/helpers/server-infos.php";
require_once __DIR__ . "/notice/notice.php";


add_action("plugins_loaded", "__delipress__god_has_errors_send");

function __delipress__god_has_errors_send(){
    $transient = get_transient(__delipress__NAME_TRANSIENT_ERROR);

    require_once __DIR__ . "/async/wp-async-request.php";
    require_once __DIR__ . "/async/wp-background-process.php";
    require_once __DIR__ . "/async/wp-async-send-errors.php";
    
    $backgroundProcess = new __delipress__WP_Async_Send_errors();
    
    if($transient){

        add_action('init', function() use($transient, $backgroundProcess) {

            delete_transient(__delipress__NAME_TRANSIENT_ERROR);

            foreach($transient as $key => $error){
                $backgroundProcess->push_to_queue($error);
            }
        
            $backgroundProcess->save()->dispatch();
        });

    }
}


