<?php

defined( 'ABSPATH' ) or die( 'Cheatin&#8217; uh?' );

add_action( 'admin_init', '__delipress__check_for_monitoring' );

function __delipress__check_for_monitoring(){
    if ( ! current_user_can( 'manage_options' ) && ( ! defined( 'DOING_AJAX' ) || ! DOING_AJAX ) ) {
        return;
    }


    if(isset($_GET["__delipress__tracking_action"]) &&
       in_array($_GET["__delipress__tracking_action"], array("opt_in", "opt_out"))){

        $hide_notice = get_option( '__delipress__tracking_notice' );

        if( $hide_notice ) {
            return;
        }

        update_option( '__delipress__tracking_notice', 1);

        switch ($_GET["__delipress__tracking_action"]) {
            case 'opt_in':
                update_option("__delipress__allow_tracking", 1);
                break;

            case "opt_out":
                update_option("__delipress__allow_tracking", 0);
                break;
        }
    }
}

function __delipress__god_get_admin_notice(){

    $hide_notice = get_option( '__delipress__tracking_notice' );

    if( $hide_notice ) {
        return;
    }

    if( get_option( '__delipress__allow_tracking', false ) ) {
        return;
    }

    if( ! current_user_can( 'manage_options' ) ) {
        return;
    }

    $optinUrl  = add_query_arg( '__delipress__tracking_action', "opt_in" );
    $optoutUrl = add_query_arg( '__delipress__tracking_action', "opt_out" );

    ?>
    <div id="delipress__notice-tracking" class="notice notice-info is-dismissible js-delipress-notice">
        <div class="delipress__flex delipress__flex--center">
            <div class="delipress__f5">
                <p><?php esc_html_e("Love using DeliPress? Become a super contributor by opting in to our anonymous plugin data collection and to our updates. We guarantee no sensitive data is collected.", "delipress"); ?></p>
            </div>
            <div>
                <a href="<?php echo esc_url( $optoutUrl ) ?>" class="button-secondary"><?php esc_html_e("Do not allow", "delipress"); ?></a>
                <a href="<?php echo esc_url( $optinUrl ) ?>" class="button-primary"><?php esc_html_e("Allow", "delipress") ?></a>
            </div>
        </div>
    </div>

    <?php
}
